Index: src/UIElements/TextUI/Query/BoxTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BoxTextQuery.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ 	(revision )
@@ -1,63 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BoxTextQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include <iostream>
-
-#include "TextUI/Query/TextQuery.hpp"
-
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "LinearAlgebra/RealSpaceMatrix.hpp"
-
-
-TextDialog::BoxTextQuery::BoxTextQuery(Parameter<Box> &param, std::string title, std::string _description) :
-    Dialog::BoxQuery(param, title,_description)
-{}
-
-TextDialog::BoxTextQuery::~BoxTextQuery()
-{}
-
-bool TextDialog::BoxTextQuery::handle() {
-  std::cout << getTitle();
-
-  double temp[6];
-  std::cout << getDescription() << " - ";
-  std::string coords[6] = {"xx","yx","yy", "zx", "zy", "zz"};
-  for (int i=0;i<6;i++) {
-    std::cout << coords[i] << ": ";
-    std::cin >> temp[i];
-  }
-  RealSpaceMatrix M;
-  M.set(0,0, temp[0]);
-  M.set(0,1, temp[1]);
-  M.set(0,2, temp[2]);
-  M.set(1,0, temp[1]);
-  M.set(1,1, temp[3]);
-  M.set(1,2, temp[4]);
-  M.set(2,0, temp[2]);
-  M.set(2,1, temp[4]);
-  M.set(2,2, temp[5]);
-  Box temp_box;
-  temp_box.setM(M);
-  tmp.set(temp_box);
-  return true;
-}
-
Index: src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
+++ src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -0,0 +1,61 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * BoxTextQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include <iostream>
+
+#include "TextUI/Query/TextQuery.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "LinearAlgebra/RealSpaceMatrix.hpp"
+
+
+TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &param, std::string title, std::string _description) :
+    Dialog::RealSpaceMatrixQuery(param, title,_description)
+{}
+
+TextDialog::RealSpaceMatrixTextQuery::~RealSpaceMatrixTextQuery()
+{}
+
+bool TextDialog::RealSpaceMatrixTextQuery::handle() {
+  std::cout << getTitle();
+
+  double temp[6];
+  std::cout << getDescription() << " - ";
+  std::string coords[6] = {"xx","yx","yy", "zx", "zy", "zz"};
+  for (int i=0;i<6;i++) {
+    std::cout << coords[i] << ": ";
+    std::cin >> temp[i];
+  }
+  RealSpaceMatrix M;
+  M.set(0,0, temp[0]);
+  M.set(0,1, temp[1]);
+  M.set(0,2, temp[2]);
+  M.set(1,0, temp[1]);
+  M.set(1,1, temp[3]);
+  M.set(1,2, temp[4]);
+  M.set(2,0, temp[2]);
+  M.set(2,1, temp[4]);
+  M.set(2,2, temp[5]);
+  tmp.set(M);
+  return true;
+}
+
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -38,8 +38,8 @@
 };
 
-class TextDialog::BoxTextQuery : public Dialog::BoxQuery {
+class TextDialog::RealSpaceMatrixTextQuery : public Dialog::RealSpaceMatrixQuery {
 public:
-  BoxTextQuery(Parameter<Box> &, std::string title, std::string _description = NULL);
-  virtual ~BoxTextQuery();
+  RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &, std::string title, std::string _description = NULL);
+  virtual ~RealSpaceMatrixTextQuery();
   virtual bool handle();
 };
Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -98,6 +98,6 @@
 }
 
-void TextDialog::queryBox(Parameter<Box> &param, const char* title, std::string description) {
-  registerQuery(new BoxTextQuery(param, title,description));
+void TextDialog::queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &param, const char* title, std::string description) {
+  registerQuery(new RealSpaceMatrixTextQuery(param, title,description));
 }
 
Index: src/UIElements/TextUI/TextDialog.hpp
===================================================================
--- src/UIElements/TextUI/TextDialog.hpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ src/UIElements/TextUI/TextDialog.hpp	(revision 7d9416031da0a31907f5d8804559bc704c7c7c3c)
@@ -22,4 +22,5 @@
 class element;
 class molecule;
+class RealSpaceMatrix;
 class Vector;
 
@@ -46,5 +47,5 @@
   virtual void queryVector(Parameter<Vector> &, const char*,bool, std::string = "");
   virtual void queryVectors(Parameter<std::vector<Vector> > &, const char*,bool, std::string = "");
-  virtual void queryBox(Parameter<Box> &, const char*, std::string = "");
+  virtual void queryRealSpaceMatrix(Parameter<RealSpaceMatrix> &, const char*, std::string = "");
   virtual void queryElement(Parameter<const element *> &, const char*, std::string = "");
   virtual void queryElements(Parameter<std::vector<const element *> > &, const char*, std::string = "");
@@ -59,5 +60,4 @@
   class AtomsTextQuery;
   class BooleanTextQuery;
-  class BoxTextQuery;
   class DoubleTextQuery;
   class DoublesTextQuery;
@@ -70,4 +70,5 @@
   class MoleculeTextQuery;
   class MoleculesTextQuery;
+  class RealSpaceMatrixTextQuery;
   class StringTextQuery;
   class StringsTextQuery;
